Subject: Re: [IPsec] normative references to IANA registries

From: Michael Richardson <[email-masked]>
Date: Mon, 31 Jul 2017 16:09:36 -0400

I meant to CC ipsec@, but I'm not sure I actually succeeded.
My email to [email-masked] was really about doing this kind of thing in
general, and having reference.*.xml files for the registries to make
this easy.

I noticed that actually in rfc7296, we actually have a reference:

https://tools.ietf.org/html/rfc7296#ref-IKEV2IANA
   [IKEV2IANA]
         IANA, "Internet Key Exchange Version 2 (IKEv2)  Parameters",
         <http://www.iana.org/assignments/ikev2-parameters/>.

I wonder if adding such a reference (or references with #anchors) would be an
acceptable AUTH48 addition.
    https://www.iana.org/assignments/ikev2-parameters/ikev2-parameters.xhtml#ikev2-parameters-6

Michael Richardson <[email-masked]> wrote:
    > I'm implementing draft-ietf-ipsecme-rfc4307bis.
    > It basically sets MUST/SHOULD/etc. values for various algorithms. The IPsec(ME)
    > WG updates things as the world evolves.

    > "References to the specification
    > defining these algorithms are in the IANA registry."

    > It would be nice if it gave the actual name of the Registry.
    > But, I think in this hyperlinked internet, it really should reference the
    > registry itself directly.

    > So I wonder out loud: shouldn't all of the IANA registries have clear
    > reference files that could be normatively referenced?

    > --
    > Michael Richardson <[email-masked]>, Sandelman Software Works
    > -= IPv6 IoT consulting =-

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-